org.eclipse.graphiti.platform.ga

## Class VisualStateChangedEvent

- java.lang.Object
- - org.eclipse.graphiti.platform.ga.VisualStateChangedEvent

    public class VisualStateChangedEvent
    extends java.lang.Object

The Class VisualStateChangedEvent.

See Also:
  `IVisualStateChangeListener`

### Field Summary

Fields
`IVisualState.Type` `changedField`
`int` `newValue`
`int` `oldValue`

### Constructor Summary

Constructors
Constructor and Description
`VisualStateChangedEvent(IVisualState.Type changedField, int oldValue, int newValue)` Creates a new `VisualStateChangedEvent`.

### Method Summary

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### changedField

    public IVisualState.Type changedField

#### oldValue

    public int oldValue

#### newValue

    public int newValue

### Constructor Detail

#### VisualStateChangedEvent

    public VisualStateChangedEvent(IVisualState.Type changedField,
                                   int oldValue,
                                   int newValue)

Creates a new `VisualStateChangedEvent`.

Parameters:
  `changedField` - the changed field
  `oldValue` - the int old value
  `newValue` - the int new value